Bug 2285 - Charger disconnect notice is unnecessarily "green" at the expense of accuracy and usability
: Charger disconnect notice is unnecessarily "green" at the expense of accuracy...
Status: VERIFIED WORKSFORME
Product: Statusbar Widgets
Battery
: 4.0
: All Maemo
: Low enhancement with 6 votes (vote)
: ---
Assigned To: Quim Gil
: battery-statusbar-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2007-11-15 20:14 UTC by Ryan Abel
Modified: 2009-09-18 23:17 UTC (History)
6 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Ryan Abel (reporter) maemo.org 2007-11-15 20:14:00 UTC
EXPECTED OUTCOME:

System will inform the user that the charger has been disconnected with a small
message.

ACTUAL OUTCOME:

System informs the user to save power by unplugging the wall charger.

STEPS TO REPRODUCE THE PROBLEM:

1. Plug in a powered charger.
2. Unplug (or unpower) the charger.

OTHER COMMENTS:

Unnecessary green trendiness at the expense of clarity. Actual power savings of
unplugging an unused wall charger is suspect. It's cute and all, but maemo
should leave the preachiness to the activists.
Comment 1 Ryan Abel (reporter) maemo.org 2007-11-15 20:16:29 UTC
Picture:
http://www.legacyoflies.com/devuploads/general_antilles/greenspearhead.jpg
Comment 2 James Taji 2007-12-07 17:59:25 UTC
*** This bug has been confirmed by popular vote. ***
Comment 3 Aniello Del Sorbo 2007-12-20 10:55:06 UTC
Actually I do like the statement (Nokia has been pushing "green" links too in
the bookmarks), but what I do not like is that it leaves the tablet screen on
all the time.
So, that's actually consuming much more energy.

In particular when charging. After it has been charged it should put the screen
off and only on user tap show the message and inform the user about the energy
wasted by leaving the charger plugged in.

Even better the charger itself should shut itself off when not charging.
Comment 4 Ryan Abel (reporter) maemo.org 2007-12-22 05:39:32 UTC
(In reply to comment #3)
> Actually I do like the statement (Nokia has been pushing "green" links too in
> the bookmarks), but what I do not like is that it leaves the tablet screen on
> all the time.
> So, that's actually consuming much more energy.
> 
> In particular when charging. After it has been charged it should put the screen
> off and only on user tap show the message and inform the user about the energy
> wasted by leaving the charger plugged in.

This is an option under the Display Control Panel for screen timeout.

If I wanted my gadgets to preach to me, I'd write the software to do it myself.
But wasting the user's time and trying their patience with lame, hypocritical
notices is incredibly irritating.

> Even better the charger itself should shut itself off when not charging.

It already does, which is part of the reason why this is such a stupid message.

If Nokia ACTUALLY cared about the environment, they'd stop manufacturing
billions of disposable cellphones.
Comment 5 David Hagood 2008-01-30 18:08:55 UTC
At least add a "Never show this message again" button.
Comment 6 Ryan Abel (reporter) maemo.org 2008-01-30 22:35:54 UTC
(In reply to comment #5)
> At least add a "Never show this message again" button.
> 

This I could go for.
Comment 7 eprom999 2008-10-19 02:32:57 UTC
Ryan Abel sums up my feelings.  If I want my personal devices to preach tree
hugging mantra I'd program it to do so myself or I'd download a piece of
nagware.  Unplugging the wall-wort will have an insignificant reduction in
electrical consumption compared to switching from incandescent room lights to
LED or CFL.  

Nokia...please eliminate this nagging message in the very next firmware. TY.
Comment 8 Ryan Abel (reporter) maemo.org 2008-10-19 03:17:36 UTC
Sadly I think this has more to do with stupid government regulations than
anything Nokia really has any direct control over.
Comment 9 Faheem Pervez maemo.org 2008-10-21 19:54:04 UTC
Ok, thanks to nokia using locales, it is possible to remove this message even
though the applet is closed. 

1. Become root using your favourite method.
2. apt-get install gettext (it's in the SDK repository)
3. cd /usr/share/locale/`echo $LANG`/LC_MESSAGES/
4. msgunfmt hildon-status-bar-battery.mo -o hildon-status-bar-battery.po
5. vi hildon-status-bar-battery.po
6. Find the line: msgid "incf_ib_disconnect_charger"
7. Two lines below it; there should be the green message in quotes.
8. Press "dd" and press i and then return and then go up.
9. Type " " (quotes included)
(You may also remove the other green quotes that appear in that file using the
same " " method.)
10. Press Esc and type :wq
11. msgfmt hildon-status-bar-battery.po -o hildon-status-bar-battery.mo
12. Now run "killall hildon-desktop" and enjoy your new message that comes up
when removing the charger. If done right, when removing the charger:
http://qwerty12.maemobox.org/screenies/screenshot12.png

You can also replace it with your own message as shown by this example:
http://qwerty12.maemobox.org/screenies/screenshot11.png

Enjoy another hack by qwerty12. 

BTW: I'll attempt some disassembly and/or hex-editing on the battery library to
either remove the message or make it display on the screen for a much shorter
time. If Nokia weren't so scared about opensourcing a simple applet like this,
I wouldn't have to resort to disassembling...
Comment 10 eprom999 2008-10-22 01:06:20 UTC
I have measured two Nokia AC-4U adapters at idle connected to 122VAC 60Hz.
Adapter #1 consumed 263.96 microamps, adapter #2 consumed 609.14 microamps.

Waking the Internet Tablet's CPU and illuminating the LCD backscreen to display
that annoying green speak message, wastes more electrical energy than if the
CPU remained in sleep mode and the LCD backlight remained off !  I believe the
green speak message Maemo displays exceeds what the AC-4U wastes if it were
always plugged into the wall.  In other words the green message wastes more
electrical energy than not displaying any message. This is the opposite of what
was intented.
Comment 11 Quim Gil nokia 2008-12-08 11:22:06 UTC
(In reply to comment #8)
> Sadly I think this has more to do with stupid government regulations than
> anything Nokia really has any direct control over.

Mmm I think it actually comes from internal Nokia's green policies. But I'm not
sure. In any case, arguments proving that the current behavior is
counterproductive are welcome.

The original bug report complains about the wording but then in the comments
there are more complaints. Which ones should we look at? (changing wording is
easier than changing functionality or even chargers).

By the way, Nokia is putting a hell of effort providing the most optimized
chargers in its segment - see http://www.nokia.com/A41041084 and related pages.
Comment 12 Ryan Abel (reporter) maemo.org 2008-12-08 11:41:11 UTC
(In reply to comment #11)
> (In reply to comment #8)
> > Sadly I think this has more to do with stupid government regulations than
> > anything Nokia really has any direct control over.
> 
> Mmm I think it actually comes from internal Nokia's green policies. But I'm not
> sure. In any case, arguments proving that the current behavior is
> counterproductive are welcome.
> 

Usually when I'm unplugging my device I want to use it right away, but having a
giant banner covering up a portion of the screen makes that harder than it
should be.

> The original bug report complains about the wording but then in the comments
> there are more complaints. Which ones should we look at? (changing wording is
> easier than changing functionality or even chargers).
> 

I'd be fine with a similar solution to the legal warnings in Application
Manager: just give me the option to disable it. Then people that want to be
preached at whenever they unplug their charger can be, people that don't can
disable it.

Really, though, there's no sense in Nokia investing effort in dead-end
closed-source applets when there are much better community-created open-source
replacements available that don't insist on forcing their "values" onto their
users.[1] Now if only we could get Advanced Power into Extras. . . .

[1]http://www.internettablettalk.com/forums/showthread.php?t=24905
Comment 13 Roope Rainisto nokia 2008-12-08 12:16:45 UTC
Wontfix. We won't have "don't bug me again"-settings at least before Harmattan.
Comment 14 Quim Gil nokia 2008-12-08 22:25:08 UTC
The initial report is about the wording and there are some interesting commnts
in it. Not the most urgent thing in my desk but I'm curious and will have a
look at Fremantle's implementation.
Comment 15 Eero Tamminen nokia 2008-12-15 10:36:12 UTC
> EXPECTED OUTCOME:
> System will inform the user that the charger has been disconnected with
> a small message.
>
> ACTUAL OUTCOME:
> System informs the user to save power by unplugging the wall charger.
...
[in later comment]
> Usually when I'm unplugging my device I want to use it right away, but having
> a giant banner covering up a portion of the screen makes that harder than it
> should be.

That message is obviously aimed at people who leave the charger plugged in to
the electricity outlet.  If you don't want the "green" message, unplug the
charger first from the wall outlet.  If screen was on, you then just see
charging animation stopping, if it was blanked, screen also lights up. I don't
see how there could be smaller "message" about unplugging.

I.e. there was no bug (or it was fixed in Diablo).


As to the screen lighting up and not blanking immediately, that should be
reported as a separate bug.
Comment 16 Quim Gil nokia 2008-12-15 11:31:04 UTC
I'm still trying to stick to the original report.  :)

1 - Diablo 4.2008.36-5 installed
2 - Device not fully charged.
3 - Charge device with system on. Battery icon animation showing charging.
4 - "Battery full" notification lasting 1 sec or so.
5 - Unplug charger.
6 - "Disconnect charger from power supply to save energy" message appears
during 3 secs or so.

Ryan basically complains about 6: if you have just disconnected the charger,
why you need the notice.

The "green notification" itself won't go away since Nokia has this
cross-platform policy for such notifications. We can hardly suggest any change
to whatever text is used in the notification, but we can try.

But what looks indeed weird is that the notice appears after unplugging
charger, and not before. A behavior that could make more sense would be for
instance:

1. Charging.
2. "Battery full. Disconnect charger from power supply to save energy"
notification.
3a. If user taps it goes away.
3b. If user unplug charger it goes away.
3c. If user does nothing (e.g. is away) then notification is shown 5 secs or so
and then screen goes blank.
Comment 17 Eero Tamminen nokia 2008-12-15 14:22:45 UTC
Strange.  I've now tested on three different devices (one N800 with w36 and two
N810 with newer internal releases) and I never get banner from charger
disconnecting...???
Comment 18 Quim Gil nokia 2008-12-16 11:54:08 UTC
After some more tests I will resolve this as WORKSFORME. Note that some
circumstances have changed since the bug was filed, but the thing is that
worksforme now.

(In reply to comment #0)
> EXPECTED OUTCOME:
> 
> System will inform the user that the charger has been disconnected with a small
> message.

This is the current behavior. Unplugging the charger makes a prompt message
appear saying ""Disconnect charger from power supply to save energy". The
message goes off after 3-4 seconds or it goes away when you tap on it.


> ACTUAL OUTCOME:
> 
> System informs the user to save power by unplugging the wall charger.

This is compatible with the expected outcome and we see nothing wrong in it.
Nokia is aware of the power consumed uselessly by chargers left plugged in the
wall and it has also a broad idea of the (high) percentage of users doing so.
The problem is common to all kinds of electronic devices and Nokia takes its
part of responsibility showing the same message in all the devices shipped in
all platforms.


> OTHER COMMENTS:
> 
> Unnecessary green trendiness at the expense of clarity. Actual power savings of
> unplugging an unused wall charger is suspect. It's cute and all, but maemo
> should leave the preachiness to the activists.

Nokia doesn't think it's unnecessary: http://www.nokia.com/A41041082

We don't think it harms clarity: the message is clear in telling you that you
can save energy by unplugging the charger from the wall.

Nokia thinks that corporations have also social responsibility, not only
activists: http://www.nokia.com/A41041071

From the comments:

> what I do not like is that it leaves the tablet screen on all the time.

At least now this is not the behavior. If the screen is inactive it goes blank
just as usual according to the user settings.

> Even better the charger itself should shut itself off when not charging.

Nokia is leading on R&D to make this happen. The latest Nokia chargers are the
most efficient of the market already. See the links above for more information.

All in all we don't see why this prompt is such a big issue. Maybe it's
uncomfortable for some "power"  ;) users but considering the total amount of
users it looks like bringing far more benefits than issues.
Comment 19 Eero Tamminen nokia 2008-12-16 12:21:00 UTC
>> what I do not like is that it leaves the tablet screen on all the time.
>
> At least now this is not the behavior. If the screen is inactive it goes blank
> just as usual according to the user settings.

If you have the screen blanked & locked, and unplug the charger, it will lit
and doesn't blank & relock when the banner goes away. You need to:
1. unlock the screen
2. lock it again
3. wait three secs (or if you don't have your dim & blank period the same, even
longer)

until you can safely put it into your pocket (while the screen is lit, device
will react to key presses etc and show messages about "use <unlock key> to
unlock" and won't lock itself, thus draining the battery).  IMHO only 3) should
be needed.  But that is separate bug from this one...
Comment 20 Ryan Abel (reporter) maemo.org 2008-12-16 13:26:22 UTC
(In reply to comment #18)
> All in all we don't see why this prompt is such a big issue. Maybe it's
> uncomfortable for some "power"  ;) users but considering the total amount of
> users it looks like bringing far more benefits than issues.
> 

It's obnoxious and silly because it treats users like they're idiots (it'd be
one thing if I could disable it, but it just _assumes_ that I'm too stupid to
make my own decisions I need to be told, over and over and over to do it
because obviously I either can't remember or am making the "wrong" decision)
and leads to the notice invalidating itself much like the legal warning in
h-a-m because users just have to click through it over and over; it stinks of
corporate hypocrisy (among the wastes that Nokia inflicts on the world, charger
standby power usage is hardly the largest or most important, although it _is_
highly user-visible) and the sort of "green" activism that's designed to
improve corporate image (and thus sell more phones to go into landfills) but
has little effect on the real issues in the long run; and I don't really think
I should have to pay for the "privilege" of having my device preach to me.

Whatever, I'm not going to convince Nokia and you're not going to convince me.
So, again, let's drop yet another crappy, useless closed-source Nokia component
and switch to an open source community alternative that _doesn't_ have an
agenda. . . .
Comment 21 Quim Gil nokia 2008-12-16 13:53:28 UTC
If you want to have the chance to disable such notice through a "Don't show
again" kind of behavior then please open a new request.

For what is worth, I never felt an idiot because of this prompt and it didn't
even bother me as a user - even if then my personal opinions about the
environment and corporations might be quite close to yours.

Also Ryan, your reports are much more efficient and pleasant when you stick to
accuracy and average respectful language. We are just guys like you working
here, you know.
Comment 22 Ryan Abel (reporter) maemo.org 2008-12-16 15:22:13 UTC
(In reply to comment #21)
> If you want to have the chance to disable such notice through a "Don't show
> again" kind of behavior then please open a new request.
> 

Based on comment #13, it's hardly worth it, for me anyway, to file if the fix
is that far off (assuming it's likely to actually come--which I doubt) because,
by that time, we're going to be even farther away from Nokia's closed-source
stuff.

Anyway, for whatever it's actually likely to be worth: bug #3927

> Also Ryan, your reports are much more efficient and pleasant when you stick to
> accuracy and average respectful language. We are just guys like you working
> here, you know.
> 

When these things go beyond technical and organizational and into the
political, don't expect me to continue approaching them from a technical or
organization standpoint. ;)

That said, I understand that I am not and will not ever be able to talk to the
managers responsible for these sorts of policy decisions, and I apologize for
sticking people like you and Eero (and others, like David, in the past) in the
middle here. It's something I frequently admonish others for doing, but still
something I occasionally lose sight of from time to time. Hopefully you'll
understand, once again, my frustration over issues like these.
Comment 23 Faheem Pervez maemo.org 2008-12-19 17:27:39 UTC
(In reply to comment #9)
> BTW: I'll attempt some disassembly and/or hex-editing on the battery library to
> either remove the message or make it display on the screen for a much shorter
> time. If Nokia weren't so scared about opensourcing a simple applet like this,
> I wouldn't have to resort to disassembling...
> 

Stayed true to this promise and indeed:

http://qwerty12.maemobox.org/libbattery.so

(Tested with fakecharger script ;))
Comment 24 Andre Klapper maemo.org 2009-09-18 23:17:49 UTC
(Splitting product "Home applets" into "Desktop widgets" and "Statusbar
widgets".
Sorry for the bugmail noise. You can filter by searching for this comment.)